Imports System.Net
Imports System.Linq
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Navigation
Imports Microsoft.Phone.Controls
Imports Microsoft.Phone.Shell
Imports Windows.Phone.Management.Deployment
Imports CompanyHub.Models
Imports System

Namespace CompanyHub
    Partial Public Class MainPage
        Inherits PhoneApplicationPage

        ' Constructor
        Public Sub New()
            InitializeComponent()

            ' Set the data context of the listbox control to the sample data
            DataContext = App.ViewModel

            Dim pkgs = InstallationManager.FindPackagesForCurrentPublisher

            Dim test = Models.CompanyPackage.GenerateData
        End Sub

        Private Sub ItemSelected(ByVal sender As Object, ByVal e As SelectionChangedEventArgs)
            If e.AddedItems.Count > 0 AndAlso e.AddedItems(0) IsNot Nothing Then
                Dim pkg = TryCast(e.AddedItems(0), CompanyPackage)
                NavigationService.Navigate(New Uri("/PackagePage.xaml?id=" & pkg.Id, UriKind.Relative))

                TryCast(sender, LongListSelector).SelectedItem = Nothing
            End If
        End Sub

        Private Sub ListBox_SelectionChanged_1(ByVal sender As Object, ByVal e As SelectionChangedEventArgs)
        End Sub
    End Class
End Namespace
