Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks
Imports Windows.ApplicationModel
Imports System

Namespace CompanyHub.Utilities
	Public NotInheritable Class PackageVersionHelper
	
		Public Shared Function VersionToString(ByVal version As PackageVersion) As String
			Return String.Format("{0}.{1}.{2}.{3}", version.Major, version.Minor, version.Build, version.Revision)
		End Function

		Public Shared Function IsNewer(ByVal newVersion As String, ByVal oldVersion As String) As Boolean
			Dim newVer = Version.Parse(newVersion)
			Dim oldVer = Version.Parse(oldVersion)

			Return newVer.CompareTo(oldVer) > 0
		End Function
	End Class
End Namespace
